/*
 * Yaotp (Yet Another One-Time Pad) 
 * ---
 * (c) 2004 Plasmoid <plasmoid@thc.org>, The Hacker's Choice
 * $Id: otp.h,v 1.17 2004/08/10 13:58:04 plasmoid Exp $  
 * ---
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public 
 * License along with this program; if not, write to the Free 
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
 * MA 02111-1307, USA.
 */

#ifndef _OTP_H
#define _OTP_H

int append_offset(buf_t * b, size_t key_off, int wipe_msg);
int verify_offset(buf_t * b, size_t key_off);

void otp_encrypt_buf(buf_t * b, buf_t * o);
void otp_decrypt_buf(buf_t * b, buf_t * o);

void otp_encrypt_msg(char *key_file, int wipe_msg);
void otp_decrypt_msg(char *key_file, int wipe_msg);

#endif				/* _OTP_H */
